Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function.util
Class MetaABMFunctionSwitch<T>

    java.lang.Object
      org.metaabm.function.util.MetaABMFunctionSwitch<T>

    public class MetaABMFunctionSwitch<T>

extends java.lang.Object

Field Summary
`protected static MetaABMFunctionPackage` | `modelPackage` The cached model package

Constructor Summary
`MetaABMFunctionSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseFArgumentArrayPrototype(FArgumentArrayPrototype object)` Returns the result of interpreting the object as an instance of 'FArgument Array Prototype'.
`T` | `caseFArgumentPrototype(FArgumentPrototype object)` Returns the result of interpreting the object as an instance of 'FArgument Prototype'.
`T` | `caseFFunction(FFunction object)` Returns the result of interpreting the object as an instance of 'FFunction'.
`T` | `caseFGeneric(FGeneric object)` Returns the result of interpreting the object as an instance of 'FGeneric'.
`T` | `caseFGenericFunction(FGenericFunction object)` Returns the result of interpreting the object as an instance of 'FGeneric Function'.
`T` | `caseFGenericLogical(FGenericLogical object)` Returns the result of interpreting the object as an instance of 'FGeneric Logical'.
`T` | `caseFImplementedLibrary(FImplementedLibrary object)` Returns the result of interpreting the object as an instance of 'FImplemented Library'.
`T` | `caseFLibrary(FLibrary object)` Returns the result of interpreting the object as an instance of 'FLibrary'.
`T` | `caseFLogical(FLogical object)` Returns the result of interpreting the object as an instance of 'FLogical'.
`T` | `caseFLogicalOperator(FLogicalOperator object)` Returns the result of interpreting the object as an instance of 'FLogical Operator'.
`T` | `caseFMultiArgumentPrototype(FMultiArgumentPrototype object)` Returns the result of interpreting the object as an instance of 'FMulti Argument Prototype'.
`T` | `caseFOperator(FOperator object)` Returns the result of interpreting the object as an instance of 'FOperator'.
`T` | `caseIArtifact(IArtifact object)` Returns the result of interpreting the object as an instance of 'IArtifact'.
`T` | `caseIID(IID object)` Returns the result of interpreting the object as an instance of ' IID'.
`T` | `caseITyped(ITyped object)` Returns the result of interpreting the object as an instance of 'ITyped'.
`T` | `caseITypedArray(ITypedArray object)` Returns the result of interpreting the object as an instance of 'ITyped Array'.
`T` | `caseSImplemented(SImplemented object)` Returns the result of interpreting the object as an instance of 'SImplemented'.
`T` | `caseSNamed(SNamed object)` Returns the result of interpreting the object as an instance of 'SNamed'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`protected T` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`T` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected T` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static MetaABMFunctionPackage modelPackage

  The cached model package

Constructor Detail

### MetaABMFunctionSwitch

    public MetaABMFunctionSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(int classifierID,
                         org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseFArgumentPrototype

    public T caseFArgumentPrototype(FArgumentPrototype object)

  Returns the result of interpreting the object as an instance of 'FArgument Prototype'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FArgument Prototype'.
  See Also:
    `doSwitch(EObject)`

### caseFArgumentArrayPrototype

    public T caseFArgumentArrayPrototype(FArgumentArrayPrototype object)

  Returns the result of interpreting the object as an instance of 'FArgument Array Prototype'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FArgument Array Prototype'.
  See Also:
    `doSwitch(EObject)`

### caseFFunction

    public T caseFFunction(FFunction object)

  Returns the result of interpreting the object as an instance of 'FFunction'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FFunction'.
  See Also:
    `doSwitch(EObject)`

### caseFLogical

    public T caseFLogical(FLogical object)

  Returns the result of interpreting the object as an instance of 'FLogical'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FLogical'.
  See Also:
    `doSwitch(EObject)`

### caseFOperator

    public T caseFOperator(FOperator object)

  Returns the result of interpreting the object as an instance of 'FOperator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FOperator'.
  See Also:
    `doSwitch(EObject)`

### caseFLogicalOperator

    public T caseFLogicalOperator(FLogicalOperator object)

  Returns the result of interpreting the object as an instance of 'FLogical Operator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FLogical Operator'.
  See Also:
    `doSwitch(EObject)`

### caseFGeneric

    public T caseFGeneric(FGeneric object)

  Returns the result of interpreting the object as an instance of 'FGeneric'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FGeneric'.
  See Also:
    `doSwitch(EObject)`

### caseFGenericFunction

    public T caseFGenericFunction(FGenericFunction object)

  Returns the result of interpreting the object as an instance of 'FGeneric Function'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FGeneric Function'.
  See Also:
    `doSwitch(EObject)`

### caseFGenericLogical

    public T caseFGenericLogical(FGenericLogical object)

  Returns the result of interpreting the object as an instance of 'FGeneric Logical'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FGeneric Logical'.
  See Also:
    `doSwitch(EObject)`

### caseFLibrary

    public T caseFLibrary(FLibrary object)

  Returns the result of interpreting the object as an instance of 'FLibrary'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FLibrary'.
  See Also:
    `doSwitch(EObject)`

### caseFImplementedLibrary

    public T caseFImplementedLibrary(FImplementedLibrary object)

  Returns the result of interpreting the object as an instance of 'FImplemented Library'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FImplemented Library'.
  See Also:
    `doSwitch(EObject)`

### caseFMultiArgumentPrototype

    public T caseFMultiArgumentPrototype(FMultiArgumentPrototype object)

  Returns the result of interpreting the object as an instance of 'FMulti Argument Prototype'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'FMulti Argument Prototype'.
  See Also:
    `doSwitch(EObject)`

### caseIID

    public T caseIID(IID object)

  Returns the result of interpreting the object as an instance of ' IID'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of ' IID'.
  See Also:
    `doSwitch(EObject)`

### caseITyped

    public T caseITyped(ITyped object)

  Returns the result of interpreting the object as an instance of 'ITyped'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ITyped'.
  See Also:
    `doSwitch(EObject)`

### caseSNamed

    public T caseSNamed(SNamed object)

  Returns the result of interpreting the object as an instance of 'SNamed'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SNamed'.
  See Also:
    `doSwitch(EObject)`

### caseITypedArray

    public T caseITypedArray(ITypedArray object)

  Returns the result of interpreting the object as an instance of 'ITyped Array'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ITyped Array'.
  See Also:
    `doSwitch(EObject)`

### caseIArtifact

    public T caseIArtifact(IArtifact object)

  Returns the result of interpreting the object as an instance of 'IArtifact'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'IArtifact'.
  See Also:
    `doSwitch(EObject)`

### caseSImplemented

    public T caseSImplemented(SImplemented object)

  Returns the result of interpreting the object as an instance of 'SImplemented'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SImplemented'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD